<h1>Drag and Drop</h1>

<div id="drop-area1" class="left candidate-section" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
  (dragenter)="enter_area($event)">
  <div id="p1" class="draggable system source" [draggable]="true" (dragstart)="dragstart_handler($event)">
    System1</div>
  <div id="p2" class="draggable system source" [draggable]="true" (dragstart)="dragstart_handler($event)">
    System2</div>
  <div id="p3" class="draggable switch source" [draggable]="true" (dragstart)="dragstart_handler($event)">
    Switch
    <!-- <section class="hide">
      <button (click)="goBack()">Back</button>
    </section> -->
  </div>
</div>


<div id="drop-area2" class="right candidate-section">
  <section id="u1" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>1</span>
  </section>
  <section id="u2" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>2</span>
  </section>
  <section id="u3" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>3</span>
  </section>
  <section id="u4" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>4</span>
  </section>
  <section id="u5" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>5</span>
  </section>
  <section id="u6" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>6</span>
  </section>
  <section id="u7" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>7</span>
  </section>
  <section id="u8" class="block" (drop)="drop_handler($event)" (dragover)="dragover_handler($event)"
    (dragenter)="drag_enter($event)" (dragleave)="drag_leave($event)" (dragstart)="drag_start($event)">
    <span>8</span>
  </section>
</div>
